unit extra;

interface
Uses
  {$IFDEF OS2}os2base,{$ENDIF}                                    {mp}
  {$IFDEF WIN32}windows,{$ENDIF}                                  {mp}

  Use32,VPUtils,dos;

Procedure Convert_To_ANSI (var MyStr : String);
procedure mouseoff;            (* Turns the mouse cursor off *) {mp}

implementation

(*************************************************************)
 Procedure Convert_To_ANSI (var MyStr : String);
(*************************************************************)
Var
  DummyInt : Integer;
  AnsiStr : String;
Begin
  DummyInt := 0;
  Repeat
    if Pos ('`', MyStr) <> 0 then
    begin
      DummyInt := Pos('`', MyStr) + 2;
        Case MyStr[DummyInt] of
          '0': AnsiStr := #27 + '[0;30;';
          '1': AnsiStr := #27 + '[0;34;';
          '2': AnsiStr := #27 + '[0;32;';
          '3': AnsiStr := #27 + '[0;36;';
          '4': AnsiStr := #27 + '[0;31;';
          '5': AnsiStr := #27 + '[0;35;';
          '6': AnsiStr := #27 + '[0;33;';
          '7': AnsiStr := #27 + '[0;37;';
          '8': AnsiStr := #27 + '[1;30;';
          '9': AnsiStr := #27 + '[1;34;';
          'A': AnsiStr := #27 + '[1;32;';
          'B': AnsiStr := #27 + '[1;36;';
          'C': AnsiStr := #27 + '[1;31;';
          'D': AnsiStr := #27 + '[1;35;';
          'E': AnsiStr := #27 + '[1;33;';
          'F': AnsiStr := #27 + '[1;37;';
        end;
      DummyInt := DummyInt - 1;
        Case MyStr[DummyInt] of
          '0': AnsiStr := AnsiStr + '40m';
          '1': AnsiStr := AnsiStr + '44m';
          '2': AnsiStr := AnsiStr + '42m';
          '3': AnsiStr := AnsiStr + '46m';
          '4': AnsiStr := AnsiStr + '41m';
          '5': AnsiStr := AnsiStr + '45m';
          '6': AnsiStr := AnsiStr + '43m';
          '7': AnsiStr := AnsiStr + '47m';
        end;
      Delete (MyStr, DummyInt - 1, 3);
      Insert (AnsiStr, MyStr, DummyInt - 1);
    End;
  Until Pos ('`', MyStr) = 0;
End;

(*************************************************************) {mp}
procedure mouseoff;            (* Turns the mouse cursor off *)
(*************************************************************)
{$IFDEF OS2}
var
  kbd: kbdinfo;
begin
  kbd.cb:=sizeof(kbd);
  kbdgetstatus(kbd, 0);
  kbd.fsMask:=KEYBOARD_MODIFY_STATE or KEYBOARD_BINARY_MODE;
  KbdSetStatus(kbd, 0);
end;
{$ELSE}
var
  Mode: Longint;
begin
  if GetConsoleMode(SysFileStdIn, Mode) then
    SetConsoleMode(SysFileStdIn, Mode and not enable_processed_input
                                 and not enable_mouse_input);
end;
{$ENDIF}


begin
end.
